@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@400;700&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Days+One&family=Open+Sans&family=Russo+One&family=Space+Grotesk&display=swap');

*{
    box-sizing: border-box;
}

body{
    background-color: #f8f9fd;
    font-family: 'Roboto', 'Poppins' , sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    overflow: hidden;
    margin:0;
}
.container{
    border-radius: 5px;
    box-shadow: 3px 3px 10px rgba(0,0,0,0.2);
    overflow: hidden;
    width: 300px;
}
.title{
    margin:0;
}
.subtitle{
    display: inline-block;
    margin:5px 0 20px;
    opacity: 0.8;
}
.header{
    background-color: #3e57db;
    color:#fff;
    padding:30px 20px;
}
.header input{
    background-color: rgba(0,0,0,0.2);
    border:0;
    border-radius: 50px;
    color:#fff;
    font-size: 14px;
    padding:10px 15px;
    width:100%;
}
.header input:focus{
    outline:none;
}
.user-list{
    background-color: #fff;
    list-style-type: none;
    margin:0;
    max-height: 400px;
    /* to add a rolling side button in right side of the box  */
    overflow-y: auto;
}
.user-list li{
    display: flex;
    padding:20px;
}
.user-list img{
    border-radius: 50%;
    height: 50px;
    width:50px;
    /* in case image is not suitable for avatar, turn it to a good size */
    object-fit: cover;
}
.user-list .user-info{
    margin-left:10px;
}
.user-list .user-info h4{
    margin:0 0 10px;
}
.user-list .user-info p{
    font-size: 12px;
}
/*  to add a specific style to last element( e.g add a padding bottom) */
.user-list li:not(:last-of-type){
    border-bottom: 1px solid #eee;
}
/* the extra users will get a hide class to disapear */
.user-list li.hide{
    display: none;
}